Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rdlc.rdl
Class parser

    java.lang.Object
      java_cup.runtime.lr_parser
          rdlc.rdl.parser

    public class parser

extends lr_parser

CUP v0.10k generated parser.

Version:
  Mon Feb 27 13:35:52 PST 2006

Field Summary
`protected static short[][]` | `_action_table` Parse-action table.
`protected static short[][]` | `_production_table` Production table.
`protected static short[][]` | `_reduce_table` `reduce_goto` table.
`protected CUP$parser$actions` | `action_obj` Instance of action encapsulation class.
`protected Log` | `errorLog`
`protected java.lang.String` | `fileName`
`protected java.lang.Class` | `inputClass`
`protected java.io.File` | `inputPath`
`protected Namespace` | `parentNamespace`
`protected java.lang.String` | `projectName`

Fields inherited from class java_cup.runtime.lr_parser
`_done_parsing, _error_sync_size, action_tab, cur_token, lookahead, lookahead_pos, production_tab, reduce_tab, stack, tos`

Constructor Summary
`parser()` Default constructor.
`parser(Scanner s)` Constructor which sets the default scanner.

Method Summary
`short[][]` | `action_table()` Access to parse-action table.
`Symbol` | `do_action(int act_num, lr_parser parser, java.util.Stack stack, int top)` Invoke a user supplied parse action.
`int` | `EOF_sym()` `EOF` Symbol index.
`int` | `error_sym()` `error` Symbol index.
`protected void` | `init_actions()` Action encapsulation object initializer.
`short[][]` | `production_table()` Access to production table.
`short[][]` | `reduce_table()` Access to `reduce_goto` table.
`void` | `report_error(java.lang.String message, java.lang.Object info)` Report a non fatal error (or warning).
`void` | `setErrorList(Log _errorLog, java.lang.String _fileName)`
`void` | `setProject(java.lang.String _projectName, java.io.File _inputPath, java.lang.Class _inputClass, Namespace _parentNamespace)`
`int` | `start_production()` Indicates start production.
`int` | `start_state()` Indicates start state.

Methods inherited from class java_cup.runtime.lr_parser
`advance_lookahead, cur_err_token, debug_message, debug_parse, debug_reduce, debug_shift, debug_stack, done_parsing, dump_stack, error_recovery, error_sync_size, find_recovery_config, get_action, get_reduce, getScanner, parse_lookahead, parse, read_lookahead, recover_reducable_states, reduce_under_error, report_fatal_error, restart_lookahead, scan, setScanner, shift_under_error, syntax_error, try_parse_ahead, unpackFromStrings, unrecovered_syntax_error, user_init`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _production_table

    protected static final short[][] _production_table

  Production table.

### _action_table

    protected static final short[][] _action_table

  Parse-action table.

### _reduce_table

    protected static final short[][] _reduce_table

  `reduce_goto` table.

### action_obj

    protected CUP$parser$actions action_obj

  Instance of action encapsulation class.

### errorLog

    protected Log errorLog

### fileName

    protected java.lang.String fileName

### projectName

    protected java.lang.String projectName

### inputPath

    protected java.io.File inputPath

### inputClass

    protected java.lang.Class inputClass

### parentNamespace

    protected Namespace parentNamespace

Constructor Detail

### parser

    public parser()

  Default constructor.

### parser

    public parser(Scanner s)

  Constructor which sets the default scanner.

Method Detail

### production_table

    public short[][] production_table()

  Access to production table.

  Specified by:
    `production_table` in class `lr_parser`

### action_table

    public short[][] action_table()

  Access to parse-action table.

  Specified by:
    `action_table` in class `lr_parser`
  See Also:
    `lr_parser.get_action(int, int)`

### reduce_table

    public short[][] reduce_table()

  Access to `reduce_goto` table.

  Specified by:
    `reduce_table` in class `lr_parser`
  See Also:
    `lr_parser.get_reduce(int, int)`

### init_actions

    protected void init_actions()

  Action encapsulation object initializer.

  Specified by:
    `init_actions` in class `lr_parser`

### do_action

    public Symbol do_action(int act_num,
                            lr_parser parser,
                            java.util.Stack stack,
                            int top)
                     throws java.lang.Exception

  Invoke a user supplied parse action.

  Specified by:
    `do_action` in class `lr_parser`
  Parameters:
    `act_num` - the internal index of the action to be performed.
    `parser` - the parser object we are acting for.
    `stack` - the parse stack of that object.
    `top` - the index of the top element of the parse stack.
  Throws:
    `java.lang.Exception`

### start_state

    public int start_state()

  Indicates start state.

  Specified by:
    `start_state` in class `lr_parser`

### start_production

    public int start_production()

  Indicates start production.

  Specified by:
    `start_production` in class `lr_parser`

### EOF_sym

    public int EOF_sym()

  `EOF` Symbol index.

  Specified by:
    `EOF_sym` in class `lr_parser`

### error_sym

    public int error_sym()

  `error` Symbol index.

  Specified by:
    `error_sym` in class `lr_parser`

### setErrorList

    public void setErrorList(Log _errorLog,
                             java.lang.String _fileName)

### setProject

    public void setProject(java.lang.String _projectName,
                           java.io.File _inputPath,
                           java.lang.Class _inputClass,
                           Namespace _parentNamespace)

### report_error

    public void report_error(java.lang.String message,
                             java.lang.Object info)

  Description copied from class: `lr_parser`
  Report a non fatal error (or warning). This method takes a message string and an additional object (to be used by specializations implemented in subclasses). Here in the base class a very simple implementation is provided which simply prints the message to System.err.

  Overrides:
    `report_error` in class `lr_parser`
  Parameters:
    `message` - an error message.
    `info` - an extra object reserved for use by specialized subclasses.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD